=== KMFIPTInterface/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kmyfirewall
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${IPTC_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### configure checks

tde_message_fatal(
  "KMFIPTInterface is not ready for building and probably would not be functional"
  "after the change iptables => xtables in Linux kernel."
)

include( ConfigureChecks.cmake )


##### kmfiptinterface (executable)

tde_add_executable( kmfiptinterface AUTOMOC
  SOURCES main.cpp kmfiptinterface.cpp iptchecker.cpp kmfiptinterface.skel
  LINK tdeio-shared DCOP-shared ${IPTC_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
  SOURCE kmfiptinterface.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)
