=== bibletime/CMakeLists.txt ===

add_subdirectory( display-templates )
add_subdirectory( backend )
add_subdirectory( frontend )
add_subdirectory( xml )
add_subdirectory( pics )
add_subdirectory( util )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CLUCENE_INCLUDE_DIRS}
  ${SWORD_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${Boost_LIBRARY_DIRS}
)


##### bibletime (executable) ####################

tde_add_executable( ${PROJECT_NAME} AUTOMOC
  SOURCES
    bibletime_init.cpp
    bibletime_slots.cpp
    bibletime.cpp
    bibletimeapp.cpp
    main.cpp
    bibletime_dcop.cpp
    bibletimeinterface.skel

  LINK
    backend-static
    display-static
    displaywindow-static
    frontend-static
    frontendutil-static
    keychooser-static
    mainindex-static
    searchdialog-static
    util-static
    tdecore-shared
    tdeui-shared
    tdeio-shared
    tdecore-shared
    tdeui-shared
    tdehtml-shared
    ${SWORD_LIBRARIES}
    ${CLUCENE_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)


##### install public includes

install(
  FILES bibletimeinterface.h
  DESTINATION ${INCLUDE_INSTALL_DIR}
)
