=== convert-presets/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### convert_presets (translations)

tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations/messages )


##### convert_presets (executable)

tde_add_executable( convert-presets AUTOMOC
  SOURCES convert-presets.cpp
  LINK tdecore-shared tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
