=== data/CMakeLists.txt ===

##### other data

file( GLOB data_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} * )
list( REMOVE_ITEM data_files "CMakeLists.txt" )

install(
  FILES ${data_files}
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)
