=== dominoConfig/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${FREETYPE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### tdestyle_domino_config (kpart)

tde_add_kpart( tdestyle_domino_config AUTOMOC

  SOURCES
        dominoconf.cpp
  LINK
     tdeio-shared
     domino_style-static

  DESTINATION ${PLUGIN_INSTALL_DIR}
)
