=== examples/CMakeLists.txt ===
#################################################
#
#  (C) 2021 Michele Calgaro
#  Michele (DOT) Calgaro (AT) yahoo.it
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/core
  ${CMAKE_SOURCE_DIR}/gui
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${DBUS_TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${DBUS_TQT_LIBRARY_DIRS}
)


##### install paths setup #######################

tde_setup_dbus( dbus-1-tqt )

set( POLKIT_TQT_EXAMPLE "${DATA_INSTALL_DIR}/polkit-tqt/examples/" )


##### install examples runtime config ###########################

configure_file( org.tqt.policykit.examples.service.cmake org.tqt.policykit.examples.service @ONLY )

install(
  FILES org.tqt.policykit.examples.policy
  DESTINATION ${SHARE_INSTALL_PREFIX}/polkit-1/actions/
)

install(
  FILES org.tqt.policykit.examples.conf
  DESTINATION ${DBUS_SYSTEM_CONF_DIRECTORY}
)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/org.tqt.policykit.examples.service
  DESTINATION ${DBUS_SERVICE_DIRECTORY}
)


##### install icons ###########################

add_subdirectory( icons )


##### adent directory ########################

add_subdirectory( agent )


##### install examples source code ###########################

install(
  FILES COPYING
  DESTINATION ${POLKIT_TQT_EXAMPLE}
)

install(
  FILES
    org.tqt.policykit.examples.conf
    org.tqt.policykit.examples.policy
    org.tqt.policykit.examples.xml
    ${CMAKE_CURRENT_BINARY_DIR}/org.tqt.policykit.examples.service
  DESTINATION ${POLKIT_TQT_EXAMPLE}/config
)

install(
  FILES PkExample.h PkExample.cpp main.cpp
  DESTINATION ${POLKIT_TQT_EXAMPLE}/main
)

install(
  FILES PkExampleHelper.h PkExampleHelper.cpp mainHelper.cpp
  DESTINATION ${POLKIT_TQT_EXAMPLE}/helper
)


##### example executables #########################

tde_add_executable( polkit-tqt-example AUTOMOC
  SOURCES PkExample.cpp main.cpp
  LINK ${DBUS_TQT_LIBRARIES} polkit-tqt-gui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

tde_add_executable( polkit-tqt-example-helper AUTOMOC
  SOURCES PkExampleHelper.cpp mainHelper.cpp
  LINK ${DBUS_TQT_LIBRARIES} polkit-tqt-core-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
