=== fonts/CMakeLists.txt ===
##### other data

install(
    FILES font-small.pbm font-smooth.pbm font.pbm
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/fonts
)
