=== k9Mplayer/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libk9copy
  ${TDE_INCLUDE_DIR}
)

##### main k9mplayer
tde_add_library( k9mplayer STATIC_PIC AUTOMOC
  SOURCES mplayer.ui k9mplayer.cpp
)
