=== kexi/debian/control ===
Source: kexi
Section: kde
Priority: optional
Maintainer: Igor Genibel <igenibel@debian.org>
Build-Depends: automake1.7, debhelper (>= 4.2.0), tdelibs4-dev (>= 4:3.2.0), flex, libpqxx-dev, libmysqlclient-dev, libreadline5-dev, cdbs
Standards-Version: 3.6.1.0

Package: kexi
Architecture: any
Depends: ${shlibs:Depends}
Recommends: kexi-postgresql-driver (= ${Source-Version}), kexi-mysql-driver (= ${Source-Version}), kexi-i18n
Suggests: kexi-mdb-driver
Description: Integrated data management application for KDE
 Kexi is an integrated environment for managing data. It helps creating 
 database schemas, inserting, querying and processing data.
 .
 The idea of this development effort came because of noticeable lack of
 application like MS Access, FoxPro, Oracle Forms or File Maker that is
 powerful enough, inexpensive, open standards driven and highly portable
 between many OSes and hardware platforms.

Package: kexi-postgresql-driver
Architecture: any
Depends: kexi (= ${Source-Version}), ${shlibs:Depends}
Description: PostgreSQL driver for Kexi
 The PostgreSQL driver for Kexi databases, and the PostgreSQL 
 migration driver for converting arbitrary PostgreSQL databases into 
 Kexi databases.

Package: kexi-mysql-driver
Architecture: any
Depends: kexi (= ${Source-Version}), ${shlibs:Depends}
Description: MySQL driver for Kexi
 The MySQL driver for Kexi databases, and the MySQL migration driver 
 for converting arbitrary MySQL databases into Kexi databases.

Package: libkexi-dev
Architecture: any
Depends: kexi (= ${Source-Version}), ${shlibs:Depends}
Description: Kexi development files
 This package is necessary for developing new Kexi drivers or Kexi
 migration drivers. It will be needed for compiling drivers that are not
 part of the Kexi distribution (e.g. keximdb for importing MS Access files)
